summaryrefslogtreecommitdiffstats
path: root/extras/hook-scripts/set
diff options
context:
space:
mode:
authorHarshavardhana <harsha@harshavardhana.net>2014-06-29 18:56:44 -0700
committerHarshavardhana <harsha@harshavardhana.net>2014-08-07 01:17:29 -0700
commit2ec6ea43f2ddc6c00a030be6d04c00f0924277b7 (patch)
treeb2d98cd8c4760c1af44c8b6a70661fe5566ce6da /extras/hook-scripts/set
parentf29da9bcc812e3d0711005ce86051d70c277a165 (diff)
build: make GLUSTERD_WORKDIR rely on localstatedir
- Break-way from '/var/lib/glusterd' hard-coded previously, instead rely on 'configure' value from 'localstatedir' - Provide 's/lib/db' as default working directory for gluster management daemon for BSD and Darwin based installations - loff_t is really off_t on Darwin - fix-off the warnings generated by clang on FreeBSD/Darwin - Now 'tests/*' use GLUSTERD_WORKDIR a common variable for all platforms. - Define proper environment for running tests, define correct PATH and LD_LIBRARY_PATH when running tests, so that the desired version of glusterfs is used, regardless where it is installed. (Thanks to manu@netbsd.org for this additional work) Change-Id: I2339a0d9275de5939ccad3e52b535598064a35e7 BUG: 1111774 Signed-off-by: Harshavardhana <harsha@harshavardhana.net> Signed-off-by: Emmanuel Dreyfus <manu@netbsd.org> Reviewed-on: http://review.gluster.org/8246 Tested-by: Gluster Build System <jenkins@build.gluster.com>
Diffstat (limited to 'extras/hook-scripts/set')
-rwxr-xr-xextras/hook-scripts/set/post/S30samba-set.sh42
-rwxr-xr-xextras/hook-scripts/set/post/S31ganesha-set.sh51
2 files changed, 49 insertions, 44 deletions
diff --git a/extras/hook-scripts/set/post/S30samba-set.sh b/extras/hook-scripts/set/post/S30samba-set.sh
index 3ff368207c4..9153dcd0bb2 100755
--- a/extras/hook-scripts/set/post/S30samba-set.sh
+++ b/extras/hook-scripts/set/post/S30samba-set.sh
@@ -18,11 +18,12 @@
PROGNAME="Ssamba-set"
-OPTSPEC="volname:"
+OPTSPEC="volname:,gd-workdir:"
VOL=
CONFIGFILE=
LOGFILEBASE=
PIDDIR=
+GLUSTERD_WORKDIR=
enable_smb=""
@@ -32,29 +33,32 @@ function parse_args () {
while true; do
case $1 in
- --volname)
- shift
- VOL=$1
- ;;
- *)
- shift
- for pair in $@; do
+ --volname)
+ shift
+ VOL=$1
+ ;;
+ --gd-workdir)
+ shift
+ GLUSTERD_WORKDIR=$1
+ ;;
+ *)
+ shift
+ for pair in $@; do
read key value < <(echo "$pair" | tr "=" " ")
case "$key" in
"user.cifs")
- enable_smb=$value
- ;;
+ enable_smb=$value
+ ;;
"user.smb")
- enable_smb=$value
- ;;
+ enable_smb=$value
+ ;;
*)
- ;;
+ ;;
esac
- done
-
- shift
- break
- ;;
+ done
+ shift
+ break
+ ;;
esac
shift
done
@@ -102,7 +106,7 @@ function del_samba_share () {
function is_volume_started () {
volname=$1
- echo "$(grep status /var/lib/glusterd/vols/"$volname"/info |\
+ echo "$(grep status $GLUSTERD_WORKDIR/vols/"$volname"/info |\
cut -d"=" -f2)"
}
diff --git a/extras/hook-scripts/set/post/S31ganesha-set.sh b/extras/hook-scripts/set/post/S31ganesha-set.sh
index 972f82c5730..b09a3942a8e 100755
--- a/extras/hook-scripts/set/post/S31ganesha-set.sh
+++ b/extras/hook-scripts/set/post/S31ganesha-set.sh
@@ -1,6 +1,6 @@
#!/bin/bash
PROGNAME="Sganesha-set"
-OPTSPEC="volname:"
+OPTSPEC="volname:,gd-workdir:"
VOL=
declare -i EXPORT_ID
GANESHA_DIR="/var/lib/glusterfs-ganesha"
@@ -11,7 +11,7 @@ gnfs="enabled"
enable_ganesha=""
host_name="none"
LOC=""
-
+GLUSTERD_WORKDIR=
function parse_args ()
@@ -21,29 +21,32 @@ function parse_args ()
while true; do
case $1 in
- --volname)
- shift
- VOL=$1
- ;;
- *)
- shift
- for pair in $@; do
+ --volname)
+ shift
+ VOL=$1
+ ;;
+ --gd-workdir)
+ shift
+ GLUSTERD_WORKDIR=$1
+ ;;
+ *)
+ shift
+ for pair in $@; do
read key value < <(echo "$pair" | tr "=" " ")
case "$key" in
- "nfs-ganesha.enable")
- enable_ganesha=$value
- ;;
- "nfs-ganesha.host")
- host_name=$value
- ;;
+ "nfs-ganesha.enable")
+ enable_ganesha=$value
+ ;;
+ "nfs-ganesha.host")
+ host_name=$value
+ ;;
*)
- ;;
+ ;;
esac
- done
-
- shift
- break
- ;;
+ done
+ shift
+ break
+ ;;
esac
shift
done
@@ -52,7 +55,7 @@ function parse_args ()
function check_if_host_set()
{
- if ! cat /var/lib/glusterd/vols/$VOL/info | grep -q "nfs-ganesha.host"
+ if ! cat $GLUSTERD_WORKDIR/vols/$VOL/info | grep -q "nfs-ganesha.host"
then
exit 1
fi
@@ -71,7 +74,7 @@ function check_nfsd_loc()
function check_gluster_nfs()
{
- if cat /var/lib/glusterd/vols/$VOL/info | grep -q "nfs.disable=ON"
+ if cat $GLUSTERD_WORKDIR/vols/$VOL/info | grep -q "nfs.disable=ON"
then
gnfs="disabled"
fi
@@ -279,5 +282,3 @@ function stop_ganesha()
fi
fi
-
-